[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2009-4012

Date: (C)2010-01-19   (M)2015-12-16
 
CVSS Score: 10.0Access Vector: NETWORK
Exploitability Subscore: 10.0Access Complexity: LOW
Impact Subscore: 10.0Authentication: NONE
 Confidentiality: COMPLETE
 Integrity: COMPLETE
 Availability: COMPLETE











Multiple integer overflows in LibThai before 0.1.13 might allow context-dependent attackers to execute arbitrary code via long strings that trigger heap-based buffer overflows, related to (1) thbrk/thbrk.c and (2) thwbrk/thwbrk.c. NOTE: some of these details are obtained from third party information.

Reference:
BID-37822
SECUNIA-38196
SECUNIA-38213
SECUNIA-38235
SECUNIA-38420
DSA-1971
SUSE-SR:2010:002
USN-887-1
http://linux.thai.net/node/184
http://linux.thai.net/svn/software/libthai/tags/r_0_1_13/ChangeLog
http://security.debian.org/pool/updates/main/libt/libthai/libthai_0.1.6-1+etch1.diff.gz
http://security.debian.org/pool/updates/main/libt/libthai/libthai_0.1.9-4+lenny1.diff.gz

CWE    1
CWE-189
OVAL    4
oval:org.secpod.oval:def:700095
oval:org.secpod.oval:def:300235
oval:org.secpod.oval:def:700078
oval:org.mitre.oval:def:6777
...

© 2013 SecPod Technologies